### Method

# Gimp Image convert_color_profile_from_file

since: 2.10

#### Declaration [src]

    gboolean
    gimp_image_convert_color_profile_from_file (
      GimpImage* image,
      GFile* file,
      GimpColorRenderingIntent intent,
      gboolean bpc
    )

#### Description [src]

Convert the image’s layers to a color profile

This procedure converts from the image’s color profile (or the default RGB or grayscale profile if none is set) to an ICC profile specified by ‘file’. Only RGB and grayscale color profiles are accepted, according to the image’s type.

Available since: 2.10

#### Parameters

`file`

  Type: `GFile`

  The file containing the new color profile.

  The data is owned by the caller of the method.

`intent`

  Type: `GimpColorRenderingIntent`

  Rendering intent.

`bpc`

  Type: `gboolean`

  Black point compensation.

#### Return value

Type: `gboolean`

TRUE on success.